RealCharts

Elenco argomenti trattati nella guida:

Presentazione

Caratteristiche

Descrizione Comandi

Accesso ai dati

Toolbar

Indicatori

I Grafici

Wizard Screening

Liste titoli

Moduli

Simulatore

Rettifica dati

Il Database

Nota


Accesso al Database

Torna alla pagina iniziale

Accesso al database

Esempio di finestra per la scelta del database

Appena lanciato, RealCharts cerca il database su cui lavorare. Se è stato chiuso correttamente ricorda ed utilizza l’ultimo sul quale avete operato. Se non lo trova vi apre una finestra, del tipo "gestione risorse" per consentirvi un’agevole ed intuitiva selezione del file che dovrà essere un database compatibile, come vedremo in seguito al punto " Il Database "
La prima volta che usate il programma, sotto il comando "Conferma Percorso", è presente l'opzione imposta parametri predefiniti per gli indicatori. Con questa opzione attiva RealCharts attribuisce i parametri predefiniti da programma agli indicatori. Per sostituire tali parametri, con altri, potete usare la finestra "Configura indicatori" del Menù "Opzioni". Al successivo cambio di database RealCharts non chiederà più se mantenere o meno i parametri predefiniti per gli indicatori, perchè avrà già memorizzato, nel file Chart.txt, le vostre ultime preferenze.
Una volta evidenziato il database che vi serve, cliccate su "Conferma percorso".
Se il database non è compatibile, ossia non ha il formato richiesto, o è rovinato, RealCharts lo rifiuta e ve ne chiede un altro.
Per cambiare database, cliccare sull'icona [image] della toolbar comandi.
La configurazione di RealCharts ed il percorso database e grafici, vengono memorizzati in un file "Rchart.txt", creato nella stessa directory del programma eseguibile (per default c:\programmi\RealCharts).

Argomenti correlati:

Database


Configurazione_Indicatori

Configurazione Indicatori

RealCharts dispone dei seguenti indicatori, per ciascuno dei quali è possibile assumere parametri standard, oppure procedere alle personalizzazioni preferite. Tali attributi si presenteranno poi all'apertura dell'indicatore.
NOTA: nonostante sia possibile inserire una sola configurazione standard per ogni indicatore, è possibile richiamare e caricare a video lo stesso indicatore più volte, anche assieme ad altri, impostando parametri diversi ogni volta, dalla finestra "Impostazione grafici". Un esempio pratico: potete caricare quante medie esponenziali volete, impostando per ciascuna un valore diverso, oppure visualizzare due indicatori Stocastico, uno impostato a 15-5-5 e un altro a 5-3-3. RealCharts è estremamente flessibile, da questo punto di vista e l'unico limite è rappresentato dalle dimensioni del monitor, oltre che dalla velocità di elaborazione del vostro Pc.

Finestra di configurazione degli indicatori

Nel caso in cui nella finestra iniziale, di assegnazione del database (la prima volta che avete usato RealCharts) abbiate lasciato attivo il flag "Imposta parametri predefiniti per gli indicatori", gli indicatori assumono i parametri di questa figura. I valori zero, scritti con carattere più chiaro non sono significativi ed i relativi campi sono inibiti.

Per modificare i parametri preimpostati, aprite questa finestra dal menù opzioni, configura indicatori, ed impostateli come preferite.

Potete mantenere la configurazione standard che preferite ed intervenire sui singoli titoli con parametri diversi, impostandoli nella finestra "Impostazione grafici", che si apre con un click del pulsante destro del mouse sulla finestra del grafico o con F7.

Argomenti correlati:

Indicatori

Impostazione Grafici


Il Database

Il Database

Qualsiasi grafico prodotto da RealCharts, come da qualunque altro programma di charting è un'elaborazione che parte dai dati contenuti in uno o più files, comunemente definiti database. Senza questi dati il programma non funziona. Ma anche usando dati non corretti, ossia pieni di buchi, non aggiornati, non rettificati, in una parola inaffidabili, RealCharts non potrà fornire grafici attendibili.
Il database è formato da quattro prezzi per ogni giorno: apertura, massimo, minimo e chiusura ed, eventualmente i volumi.

RealCharts analizza per le sue elaborazioni files "mdb" (Access) in un formato prestabilito. Lo stesso database, è compatibile anche con Rocco, Andromeda e tutto il nostro software che usa dati. Quindi compatibilità assoluta, ma nello stesso tempo, ogni programma lavora sul database in modo autonomo. Ad esempio, l'ottimizzazione di Andromeda non è visibile da Rocco e viceversa, così come ogni programma crea le sue liste titoli esclusive all'interno del database. Il grande vantaggio che ne consegue è che l'aggiornamento dati, anche se si usano più programmi, si fa una volta sola
Questi files, "mdb", consentono di gestire grandi quantità di informazioni. Inoltre il formato Access ed il relativo programma, sono molto diffusi e consentono a chiunque, di gestire ed eventualmente manipolare i dati a piacere.
Naturalmente RealCharts può essere utilizzato anche senza disporre di Access, in quanto è fornito degli strumenti per la gestione dei titoli, quale aggiornamento manuale, rettifica e cancellazione dei dati per ogni titolo.
Il programma viene consegnato corredato di un database matrice, "Master.mdb" vuoto che, duplicato e rinominato, potrà contenere i dati di altri mercati, ad esempio Nasdaq. mdb, Germany.mdb ecc. E' consigliabile infatti, se si studiano più mercati, usare files di dati diversi per ogni mercato.

Assieme a RealCharts viene consegnato anche il modulo AspToDba, programma accessorio che permette di aggiornare i dati convertendo files formato testo (Ascii) scaricabili da Internet. Per maggiori informazioni su siti e modalità di scarico vedere l'help di AspToDba).

Argomenti correlati:

Accesso al database

Per ulteriori informazioni su AspToDba rimandiamo alla relativa presentazione, presente nell'HELP del programma stesso.


Descrizione_Comandi

Descrizione comandi

Da menù a tendina e sottomenù:

Da File (senza grafici aperti) si apre la tendina contenente:
  • Percorso Database: apre una finestra del tipo "gestione risorse" per la ricerca e l'attribuzione del database;
  • Esci: chiude il programma.

Da File (con un grafico aperto) si apre la tendina contenente:

  • Apri Grafico: permette di aprire un grafico precedentemente salvato, da una finestra del tipo "gestione risorse" si dovrà selezionare il nome del titolo. E' equivalente al comando rapido presente in icona sulla toolbar comandi
  • Salva Grafico: ( [image]) permette di salvare, per ogni titolo, le impostazioni di visualizzazione, le rette di supporto e resistenza tracciate, gli indicatori preferiti.
  • Stampa: ( [image]) stampa il grafico con le impostazioni predefinite sulla stampante predefinita di Windows.
  • Gestione Lista: ( [image]) apre la finestra per la gestione delle liste dalla quale si possono creare e successivamente caricare fino a tre elenchi di titoli.
  • Percorso Grafico: definisce la directory dove vengono salvati i grafici. Se non viene scelto diversamente, RealCharts deposita i files dei grafici salvati nella cartella ....RealCharts\Grafici.
  • Rettifica Valori: consente di correggere la serie storica di prezzi e volumi dei titoli, in caso di aumenti di capitale, split, dividendi straordinari ecc.
  • Carica Ultimo Grafico: ( [image]) se attivato, prima di aprire un titolo controlla la disponibiltà di grafici precedentemente salvati. Se ne trova carica l'ultimo.
  • Cancella Collegamenti a Grafici: elimina dal database tutti i riferimenti ai grafici precedentemente salvati, per cui non sarà più possibile caricarli automaticamente, o con l'icona: (che viene quindi cestinata per TUTTI i grafici)
  • Chiudi: ( [image]) esce dal grafico. Per chiudere invece il programma cliccare sulla X presente sulla toolbar in alto a destra, o su Esci dal Menù File (senza grafici aperti).

Da Strumenti si apre la tendina contenente:
(Note: per il corretto funzionamento si deve prima dare il comando e poi eseguire l'operazione.
I comandi sono presenti anche sulla toolbar trend. Cliccando su qualsiasi pulsante della Toolbar si attiva il relativo comando. Con doppio click su qualsiasi area del grafico, lo stesso comando viene disattivato).

  1. Aggiungi Trendline: equivale a [image] della toolbar trend. Aggiunge una retta al grafico. Una volta selezionato il comando da Menù strumenti o da toolbar trend, per tracciare la retta portarsi con il mouse sul grafico e, tenendo premuto il pulsante sinistro del mouse, creare la retta . Al rilascio del pulsante la retta si fissa.
  2. Aggiungi Trendline Orizzontale: ( [image]) uguale al punto 1). La retta in questo caso è solo di tipo orizzontale;
  3. Modifica Trendline: ( [image]) una volta selezionato permette di variare l'inclinazione e lunghezza delle rette, o la forma delle figure geometriche già tracciate.
  4. Cancella Trendline: ( [image]) dopo averlo selezionato cliccate su qualsiasi punto della retta, o all'interno del cerchio, o rettangolo che volete eliminare; CTRL+R (Menù - Finestra - Refresh) cancella tutte le rette.
  • Copia Trendline: ( [image]) serve per tracciare i canali di trend. Selezionato il comando, cliccate sulla retta che volete copiare e trascinate. Viene generata un'altra retta identica alla prima che, al rilascio del pulsante del mouse, si fissa dove volete;
  • SpostaTrendline: ( [image]) consente di spostare qualsiasi retta o figura geometrica;
  • Prolunga a Sinistra:( [image]) allunga a sinistra la retta selezionata;
  • Prolunga a Destra: ( [image]) allunga a destra la retta selezionata; [image] da Toolbar Trend, allunga a destra tutte le rette.
  • Puntatore Freccia: ( [image]) il puntatore del mouse viene visualizzato come una freccia;
  • Cross Hair: ( [image]) il puntatore del mouse viene visualizzato come un incrocio tra due rette, una orizzontale ed una verticale;

Da Opzioni si apre la tendina contenente:
  • Visualizza Dati: (F5) equivale al comando [image] della toolbar comandi. Apre una finestra dove vengono visualizzati tutti i dati del titolo aperto. Da questa finestra è anche possibile aggiungere manualmente dati e toglierli (agisce sempre sull'ultima riga) oltre a copiarli negli appunti per utilizzarli con altre applicazioni.
  • Visualizza Prezzi: (CTRL+S) apre una finestra dove vengono visualizzati i dati al giorno dove si trova il mouse. Se è stato caricato lo stop (vedi Studi - Stop Automatico), mostra anche tale valore.
  • Visualizza Dati Medie: (F2) apre una finestra dove vengolo visualizzati i dati delle medie mobili caricate sul grafico, al giorno dove si trova il mouse.
  • Visualizza Impostazione Grafici: (F7) apre la finestra di impostazione grafici
  • Adatta Trend: all'apertura di un titolo salvato allunga automaticamente verso destra, fino alla fine del grafico, le rette disegnate nelle sessioni precedenti. Così supporti e resistenze si adeguano all'aggiungersi dei dati. Sui grafici aperti si usa [image] da Toolbar Trend.
  • Note e Commenti: (F4) equivale al comando [image] in Toolbar base. Apre una finestra nella quale potete scrivere testo libero relativo al grafico aperto.
  • Configura Indicatori: apre una finestra che consente di inserire i parametri preferiti per tutti gli indicatori richiamabili sul grafico dalla finestra "Impostazione Grafici" - (un click del pulsante destro del mouse sul grafico)
  • Indesiderati: viene applicato un filtro "data", che esclude la visualizzazione di tutti i titoli i cui dati aggiornati non arrivano alla data indicata. E' molto importante perchè impedisce l'apertura di titoli non aggiornati, o non più quotati, senza obbligarvi a cancellarli dal database.

Da Layout si apre la tendina contenente i comandi per definire il formato nel quale preferite vedere i vostri grafici:

  • Spessore Fine / Medio / Grande: definisce lo spessore con cui viene disegnato il grafico.
  • Spessore Media Fine / Medio: definisce lo spessore con cui vengono disegnate le medie mobili.
  • Grafico Lineare: assume il dato di chiusura per ogni campionamento e unisce i punti formati sullo schermo da tali valori con una linea. Per cambiare formato cliccate [image] sulla toolbar comandi; il formato cambia, in modo ciclico da lineare, a barre, a candele.
  • Grafico Barre: per ogni campionamento assume quattro valori: minimo e massimo vengono uniti da una retta verticale (barra); l'apertura viene evidenziata con un segmento orizzontale che sporge a sinistra della barra e la chiusura con uno a destra.
  • Grafico Candela: anche qui per ogni campionamento si assumono quattro valori. Il corpo della candela, ossia la parte rappresentata da un rettangolo, riporta sui due lati orizzontali, i valori di apertura e chiusura . Se la candela è bianca significa che il titolo ha chiuso ad un prezzo più alto dell'apertura e viceversa se nera. I valori minimo e massimo sono invece rappresentati dalle estremità dei due segmenti verticali posti sotto e sopra il corpo.
  • Grafico Giornaliero, Settimanale o Mensile: partendo dai dati del database di apertura, massimo, minimo e chiusura che sono sempre giornalieri, il programma, in base alla vostra scelta, modifica la frequenza di campionamento, creando un punto, una barra o una candela per ogni giorno, settimana o mese. Con il campionamento giornaliero carica il prezzo di apertura, il massimo, il minimo e la chiusura del giorno; con quello settimanale carica l'apertura del lunedì, la chiusura del venerdì (o dell'ultimo giorno disponibile) ed il minimo e massimo della settimana; con quello mensile carica l'apertura del primo giorno del mese, la chiusura dell'ultimo ed il minimo e massimo del mese.
  • Ordinata destra: richiama la scala anche sul lato destro dello schermo.

Da Studi si apre la tendina contenente i comandi:

  • Stop automatico: (richiamabile anche con F3) segnala automaticamente, con una "+", posta in corrispondenza dell'ultimo prezzo disponibile, il livello di stop-loss. E' quindi un trailing stop che si adegua quotidianamente al trend, identificandone il punto di rottura, ossia il punto oltre il quale il trend potrebbe invertirsi. Lo stop si posiziona sotto il grafico in un trend al rialzo, sopra in uno al ribasso. Alla base della formula, che è piuttosto complessa, sono la media centrata e la deviazione standard dei prezzi. Il valore K dà più o meno peso alla deviazione standard. RealCharts sulla base di queste variabili e del periodo in giorni, definito con il cursore più in basso, identifica il trend e si posiziona automaticamente long o short. Le forzature, long o short, che potete impostare da questa finestra vi mostreranno gli estremi del canale del trend in atto.
    Quando regolate un cursore, trascinandolo con il mouse, il valore esatto raggiunto appare a destra nel riquadro bianco. Nell'esempio stiamo spostando il cursore della deviazione standard.
    Il pulsante Conferma attiva il calcolo dello stop, che rimane presente sui grafici in modo permanente fino a quando non riaprite questa finestra e cliccate su Chiudi.

Finestra per inserimento parametri Stop

Esempio di stop automatico su parametri standard

  • Gann: disegna un ventaglio. Equivale al comando rapido [image] della Toolbar Trend. Per ottenere un buon risultato, si deve prima identificare un trend. Se è al rialzo si unisce con il mouse il punto minimo con il massimo. Il ventaglio che ne deriva ipotizza i possibili ritracciamenti di 1/3, 1/2, 2/3. Cliccando poi su [image] (Cross), RealCharts disegna un altro ventaglio che, parte dal massimo, ha la stessa angolatura di quello precedente, ma è inclinato in senso opposto. Viceversa se lavorate su un trend al ribasso. Per allungare a destra tutte le rette del ventaglio cliccate su [image].

Esempio di Fun Gann con Cross

  • Fibonacci Orizzontale: ( [image]) (asse dei prezzi) disegna sei rette orizzontali, su una scala definita in base ai numeri di Fibonacci. Serve per identificare i livelli di prezzo di possibili ritracciamenti di un trend. Individuati i valori minimi e massimi del trend, cliccatene uno quindi, mantenendo premuto il pulsante del mouse, trascinate il cursore verso destra, fino a toccare il punto opposto. Le rette calcolate da RealCharts possono rappresentare supporti e resistenze

Esempio di rette di Fibonacci (sui prezzi)

  • Fibonacci Verticale: ( [image] ) (asse delle date) disegna sei rette verticali, su una scala definita in base ai numeri di Fibonacci. Serve per identificare le date dei possibili ritracciamenti di un trend. Individuati i valori minimi e massimi del trend, cliccatene uno quindi, mantenendo premuto il pulsante del mouse, trascinate il cursore verso destra, fino a toccare il punto opposto. Quindi cliccate sul pulsante [image]. RealCharts creerà altre sei rette verticali, proiettate su un periodo futuro. Unito a "Fibonacci Orizzontale" crea punti d'incrocio fra rette che ci indicano date e target di prezzo futuri.

Esempio di cross di Fibonacci (target prezzo e date)

  • Confronta: consente di raffrontare le performances di due titoli, sulla base delle variazioni percentuali di prezzo, fatto 100 il valore iniziale.Il periodo di confronto viene determinato automaticamente sulla base della data iniziale del primo grafico aperto e considera sempre fino all'ultimo dato disponibile.

Esempio di confronto tra due titoli

  • Wizard Screening: Per informazioni approfondite su Wizard Screening vi rimandiamo all'argomento relativo.

  • Attiva Zoom: equivale al comando rapido [image] della Toolbar Trend. Dopo aver attivato la funzione selezionate sul grafico l'area che volete ingrandire, trascinando il mouse da sinistra a destra con il pulsante sinistro schiacciato. Per tornare alla situazione precedente cliccate [image]. Dual Charts: mostra nella stessa finestra i grafici di due titoli con i loro prezzi assoluti. Il periodo di confronto viene determinato automaticamente sulla base della data iniziale del primo grafico aperto e considera sempre fino all'ultimo dato disponibile.

Da Moduli si apre la tendina contenente i comandi:

I moduli disponibili sono: (per ulteriori informazioni cliccate qui)
  • Overnight Trading
  • Overnight Trading 2
  • Analisi dei cicli

Da Finestra si apre la tendina contenente i comandi:

  • Griglia orizzontale: aggiunge o toglie le rette orizzontali che formano la griglia del grafico;
  • Griglia verticale: aggiunge o toglie le rette verticali che formano la griglia del grafico; Il comando ( [image]) della toolbar trend aggiunge e toglie sia le rette orizzontali che verticali.
  • Refresh: (CTRL + R) pulisce il grafico da tutte le rette da voi tracciate.
  • Toobar Trend: attivato mostra la barra dei comandi rapidi, descritta in seguito
  • Toobar Comandi: attivato mostra la barra dei comandi rapidi, descritta in seguito;
  • Toolbar Prezzi: attivato mostra sulla sinistra dello schermo tutti i valori della giornata su cui si trova il puntatore del mouse sul grafico
  • Toolbar Sex_Sim:lancia il simulatore di trading.

Argomenti correlati:

Le Toolbar


I Grafici

I Grafici

RealCharts consente di aprire un grafico in diversi modi. Vediamoli analiticamente:

          •

  • Apertura in successione di tutti i grafici del database o della lista, se precedentemente creata e caricata o della lista titoli generata dalla funziona "Wizard screening" (F12) con l'applicazione dei vostri filtri . Si possono utilizzare indifferentemente i tasti "-" e "+" della tastiera, per passare rispettivamente al grafico precedente e successivo, oppure i pulsanti [image] presenti sulla "Toolbar Comandi".

  • Apertura automatica in successione temporizzata di tutti i grafici del database o della lista. Avvio della procedura con il pulsante [image] (Play), dopo aver impostato [image] con le freccette, il tempo di fermo (in questo caso pari a 5 secondi) per ogni grafico. Con [image] (pausa) la successione può essere interrotta, in qualunque momento, ad esempio per inserire note e salvare. Si può poi riprendere ancora con play, o passare a qualsiasi altra funzione.

  • Apertura di un grafico precedentemente salvato. Da menù file "Apri Grafico" o con il tasto [image] si apre una finestra per la selezione di un titolo il cui grafico avevate precedentemente salvato. Lo si deve evidenziare e dare "Conferma". Il grafico si aprire a condizione che il titolo sia presente nel database in uso.

Il comando [image] consente di scegliere se, all'apertura di un grafico (in una qualsiasi delle modalità sopra descritte) si vuole, o meno accedere direttamente all'ultimo salvato, se esiste. Se appare barrato [image] RealCharts non tiene conto, all'apertura, del grafico salvato. L'attivazione o disattivazione della funzione è possibile solo se non è già aperto un grafico salvato.

Real Charts visualizza indifferentemente scala lineare e logaritmica. Il formato di default è quello lineare, o aritmetico nel quale gli spazi tra le righe orizzontali del grafico rappresentano variazioni costanti di prezzo, ma diverse in termini percentuali. Nella scala logaritmica, viceversa, gli spazi tra le righe rappresentano variazioni costanti in termini percentuali, ma diverse in termini di prezzo. Il pulsante [image] sulla Toolbar Trend, permette con un solo click di trasformare la scala da lineare a logaritmica e viceversa. In caso di salvataggio, il formato scelto viene mantenuto e mostrato automaticamente in seguito. Se vengono tracciate rette di supporto e resistenza e poi si cambia formato, le rette vengono cancellate automaticamente in quanto non più significative (non sarebbero più rette, ma curve). Il formato del pulsante [image] indica che il grafico è lineare. Il logaritmico, invece, appare così: .
E' disponibile anche il formato percentuale che, che fatto 100 il primo prezzo del grafico, riporta in termini percentuali tutte le successive variazioni di prezzo. Questo particolare formato misura un solo prezzo al giorno, quello di chiusura, e può essere richiesto, per singolo titolo, solo dalla finestra "Impostazione grafici" (F7). Con il formato percentuale attivo non è possibile richiamare nessun indicatore.

Salvare un grafico equivale a fotografarlo ed imprimerne su file la durata, il formato lineare, logaritmico o percentuale, le rette di supporto e resistenza. Se, in basso a destra, sulla Toolbar Base, appare l'icona [image] vuol dire che per il titolo aperto sullo schermo è disponibile un grafico salvato. Cliccandola il grafico salvato viene caricato. Cliccando sul cestino, [image] adiacente, il collegamento con il grafico viene cancellato. Per cancellarli tutti in una volta: da Menù File > Cancella Collegamenti Grafici.
Cliccando l'icona [image] delle note, in basso a sinistra, invece, si apre la finestra che consente di scrivere liberamente i propri appunti sul titolo. Non serve salvare. Chiudendo la finestra il messaggio viene automaticamente memorizzato e può essere riletto, o modificato, nelle sessioni successive. Nel caso esistano note [image] il libro si presenta aperto. Per cancellarle basta cliccare con il pulsante destro del mouse sopra il libro aperto.
NOTA: quando viene salvato un grafico RealCharts genera un file e lo salva nella directory "Grafici", creata automaticamente nella stessa cartella di lavoro del programma. Il nome di questo file è lo stesso del titolo se si salva con il comando [image]. Lo si può altresì nominare a piacere usando la finestra di salvataggio grafici che si apre da menù File - Salva Grafico. Nello stesso tempo RealCharts appone un segnale nel database per indicare che, per quel titolo, esiste un grafico salvato. Cliccando sul cestino NON si cancella il file di servizio all'interno della cartella Grafici, ma solo il collegamento presente nel database. Lo stesso vale per le note. L'indirizzo di salvataggio di questi files può essere personalizzato con il comando Percorso Grafico attivabile da menù - File (con grafico aperto).

Argomenti correlati:

Impostazione grafici

Toolbar

Indicatori

Descrizione Comandi


Impostazione_grafici

Impostazione grafici.

Finestra "Impostazione Grafici"

Da questa finestra, che si apre da menù opzioni, visualizza impostazione grafici (F7), o con un click del pulsante destro del mouse sull'area del grafico, potete richiedere gli indicatori disponibili, oltre ad impostare liberamente tutti i parametri sia del titolo che degli indicatori stessi. Lo stesso indicatore può essere caricato più volte, impostando ogni volta i parametri che volete. Basta evidenziare l'indicatore da "Indicatori selezionati", caricarlo con il pulsante [image] e scrivere i parametri. Per scaricarli seguite l'operazione opposta. Da qui è anche possibile scegliere i titoli, evidenziandoli nella finestra in alto a sinistra.

I quattro parametri di impostazione dell'indicatore andranno andranno usati in funzione dell'indicatore stesso. Ad esempio per una media mobile ne basta uno solo. I livelli Ipercomprato /Ipervenduto, se impostati vengono disegnati sul grafico.
Le impostazioni qui definite rimangono valide finchè non si cambia database, o lista o comunque non si richiama un diverso elenco di titoli, ad esempio anche da Wizard Screening. In altre parole, tutti i grafici che verranno aperti dopo aver confermato questa impostazione, avranno la stessa configurazione e mostreranno gli stessi indicatori. Esci invece lascia le impostazioni precedenti e chiude la finestra.

La funzione "Salva profilo" è molto comoda per chi ha un suo "metodo" costante per guardare i grafici, ad esempio con un paio di medie mobili e due oscillatori. Le impostazioni preferite andrebbero perse ad ogni chiusura del programma, obbligando ogni volta ad un noiosa riattivazione. Questa funzione consente invece di memorizzare le impostazioni qui registrate e richiamarle successivamente con un solo click su "Carica profilo".

Argomenti correlati:

Indicatori

Configurazione Indicatori


Gli indicatori

Gli indicatori/oscillatori disponibili sono:

Accumulation/Distribution: Questo indicatore, sviluppato da Marc Chaikin, fornisce una misura della forza del trend in atto sommando o sottraendo una percentuale dei volumi al totale cumulato. Il concetto è semplice e molto simile a quello dell'On Balance Volume: se il prezzo di un titolo è destinato a salire o a scendere, il trend al rialzo o al ribasso dovrà essere supportato dai volumi. La "qualità" dei volumi di contrattazione, e quindi la forza del trend dominante, viene legata alla distanza del prezzo di chiusura (C) da quello massimo (H) e minimo (L) del giorno. Più il prezzo si avvicina al massimo del giorno, maggiore è la percentuale dei volumi di contrattazione sommata all'indicatore. Viceversa, se il prezzo di chiusura si avvicina al minimo, una grande percentuale dei volumi verrà sottratta al valore dell'indicatore. Se il prezzo di chiusura si trova esattamente a metà tra massimo e minimo, il valore dell'indicatore rimane invariato rispetto al giorno precedente. Un trend al rialzo farà salire il valore dell'indicatore, viceversa per un trend al ribasso. Questo indicatore assolve allo scopo di confermare la bontà del trend e dovrebbe essere confrontato con il grafico del titolo per individuare eventuali divergenze, indicanti un indebolimento della tendenza in atto con possibilità di inversione della tendenza. Una divergenza ribassista si ha quando il prezzo continua a segnare nuovi massimi e l'indicatore no. Una divergenza al rialzo si ha invece quando il prezzo continua a segnare nuovi minimi e l'indicatore no.
In tal modo si può avere un segnale di rafforzamento del trend prima che il prezzo sia aumentato o diminuito troppo

BOB: è una media bollinger. Le bande di Bollinger sono uno strumento di analisi molto interessante: il loro scopo è quello di fornire una misura attendibile del grado di "normalità" delle variazioni nell'andamento di una serie storica sul periodo preso in esame. Vengono costruite partendo da una media mobile esponenziale di N giorni alla quale viene sommato (banda superiore) e sottratto (banda inferiore) un valore pari alla deviazione standard, calcolata sul periodo P e moltiplicata per un fattore superiore a uno, definito dall'utente. La deviazione standard è un indicatore statistico che misura la variabilità intrinseca di una serie storica: nel nostro caso si considera la deviazione standard della serie storica nei N giorni precedenti quello attuale, una sorta di deviazione standard mobile. In questo modo le bande di Bollinger seguono l'andamento del titolo allargandosi o restringendosi a seconda della variabilità riscontrata nel periodo. La perforazione di una delle bande da parte del grafico del prezzo può allora indicare un movimento anomalo, in quanto eccede la variabilità storicamente "normale". I tre indicatori utilizzati sono 1 = i giorni sui quali calcolare la media mobile esponenziale; 2 = i giorni sui quali calcolare la deviazione standard; 3 = il fattore per cui la deviazione standard viene moltiplicata;

Deviazione Standard: la deviazione standard rappresenta una misura della volatilità dei prezzi in un determinato periodo, ossia quantifica il loro scostamento dalla media a n giorni. Il metodo di calcolo usato è quello dello scarto quadratico medio. Durante un trend al rialzo si ritiene che un'alta volatilità dei prezzi possa indicare l'esaurimento della spinta rialzista (con conseguente correzione) e, viceversa, una bassa volatilità durante un trend al ribasso riveli un mercato esaurito. L'unico parametro presente indica il numero di giorni su cui calcolare la deviazione standard.

MACD: Questo indicatore è uno dei più noti in analisi tecnica. E' composto da due curve:
1 - Indicatore: il valore in ogni punto è dato dalla differenza tra una media mobile esponenziale breve e una media esponenziale lunga (nella versione standard breve =12 giorni e lunga = 26 giorni).
2 - Media di livellamento: alla curva dell'indicatore viene sovrapposta una sua media mobile esponenziale (9 giorni nella versione standard) detta linea segnale.
I segnali operativi generati da questo indicatore sono i seguenti:
> Quando l'indicatore è negativo e al di sotto della linea segnale si sta preparando un segnale di acquisto (o ricopertura) che scatta quando l'indicatore perfora al rialzo la linea segnale .
> Analogamente, quando l'indicatore è positivo e al di sopra della linea segnale si deve essere pronti a vendere (o vendere allo scoperto) quando avviene la perforazione della linea segnale. I tre indicatori utilizzati sono 1 = giorni prima media mobile esponenziale; 2 = giorni seconda media mobile esponenziale; 3 = giorni media di livellamento.

Media Centrata: E' una media esponenziale spostata indietro di N giorni e rettificata in base alla volatilità del titolo. Corregge il ritardo fisiologico di qualunque media mobile, rispetto al trend sul quale è calcolata. Con fattore di ponderazione della deviazione standard pari a zero si ottiene la centratura della media, che si abbassa, rispetto al trend, con fattore superiore. I tre indicatori utilizzati sono: 1 = giorni media mobile; 2 = giorni deviazione standard; 3 = fattore di ponderazione della deviazione standard.

Media Centrata Corretta: L'algoritmo di calcolo parte dal valore della media centrata corretta e vi applica il momentum. Con momentum negativo la media si alza rispetto al trend e ne diviene resistenza; viceversa con momentum positivo I primi tre parametri sono gli stessi della Media Centrata; il 4) definisce i giorni del momentum.

Stocastico: Questo oscillatore si rivela utile per prevedere e anticipare le fasi di inversione di tendenza e indica chiaramente gli stati di ipercomprato e ipervenduto confrontando l'ultimo prezzo con i massimi ed i minimi toccati negli n giorni precedenti. Su tali valori viene poi disegnata una prima media mobile semplice, cosiddetta Fast o Veloce, sulla quale, a sua volta ne viene calcolata un'altra Slow o Lenta. I tre parametri utilizzati sono: 1 = giorni sui quali vengono cercati i massimi ed i minimi; 2 = giorni prima mobile semplice; 3 = giorni seconda media mobile semplice;

Media Mobile Esponenziale: La caratteristica fondamentale di questo tipo di media è quella di mantenere in memoria l'intera storia passata del titolo, ottenendo quindi un livellamento (smoothing) più fluido.Tutti i dati vengono presi in considerazione, con pesi che tendono progressivamente a zero mano a mano che ci si sposta all'indietro lungo la serie temporale. L'unico parametro indica i giorni su cui viene calcolata.

Media Kaf: si tratta di una media mobile adattativa, che si adatta cioè, allungandosi ed accorciandosi, alla serie storica dei prezzi in base alla velocità di variazione dei prezzi stessi. Quanto più il momentum è lontano da zero, tanto più la media Kaf prende velocità, avvicinandosi al trend. I tre parametri utilizzati sono: 1 = giorni sui quali viene definito il momentum; 2 = giorni prima mobile esponenziale; 3 = giorni seconda media mobile esponenziale;

Momentum: (d-momentum index) è dato dalla differenza tra una quotazione e quella di un certo numero (n) di giorni prima. "D" sta infatti per difference e si esprime in valore assoluto. Permette di valutare la velocità di variazione dei prezzi (in aumento o in diminuzione). Il parametro definisce gli n giorni.

R.O.C.: Relative on Close. Questo indicatore rappresenta un momentum normalizzato. La formula parte dal calcolo del momentum (d-momentum index); le variazioni di prezzo non vengono lasciate in valore assoluto ma espresse in termini percentuali (p-momentum index). Tali valori vengono poi normalizzati da media mobile esponenziale. I parametri rappresentano: 1) i giorni per il calcolo del p-momentum index; 2) giorni media mobile;

Pista ciclica: L'esame degli scarti in un determinato periodo di tempo tra le quotazioni giornaliere e le medie mobili costituisce un valido elemento per interpretare l'andamento del corso di un titolo. Sul calcolo di questi scarti si basa l'indicatore Pista Ciclica. Questo indicatore ha due funzionalità:
1) Mostrare il modo in cui il titolo si muove intorno alla propria media mobile.
2) Individuare le fasi in cui la variabile analizzata sta attraversando periodi "anomali", caratterizzati cioè da oscillazioni particolarmente forti, spinta da ampi movimenti che possono determinare le cosiddette fasi di ipercomprato o ipervenduto.
Il grafico dell'indicatore visualizza in ogni giorno lo scarto percentuale tra il prezzo e la media mobile. Per valutare le zone in cui questo scarto raggiunge livelli anomali si utilizza la deviazione standard (o scarto quadratico medio) calcolata su tutti i giorni della serie storica e moltiplicata per un fattore che consente di tarare il grado di variabilità sulla serie storica in oggetto. I valori di default sono rispettivamente 14 giorni per la media mobile e 2 per il fattore di ponderazione. Modificando il valore di questo fattore si può ampliare o restringere la zona di anomalia, che è comunque funzione sia del titolo in esame che della media mobile applicata. Questo è un elemento importante poiché non tutti i titoli quotati hanno la stessa variabilità nelle quotazioni. Infatti mentre da un lato determinate oscillazioni possono essere normali per un titolo usualmente soggetto a grosse variazioni, dall'altro possono indicare particolari tensioni per un titolo di solito "tranquillo". Lo studio personalizzato ai vari titoli della bande di oscillazione evita appunto di applicare gli stessi parametri a titoli con caratteristiche completamente differenti. l due parametri da indicare rappresentano: 1) i giorni media mobile; 2) il fattore di ponderazione della deviazione standard.

RSI o Relative Strenght Index. Questo indicatore, o Indice di Forza Relativa, è anch'esso un misuratore di "momentum", perchè indica, in sostanza, quante volte negli ultimi n giorni il titolo ha subito più rialzi che ribassi. Consente quindi di analizzare in modo efficiente gli stati del mercato, individuando le fasi di normalità da quelle in cui è presente una maggior pressione della domanda (ipercomprato) oppure dell'offerta (ipervenduto). L'algoritmo di calcolo è piuttosto articolato e si svolge in più fasi. Si definisce Forza Relativa (RS) del mercato a n giorni il rapporto tra le medie esponenziali degli incrementi e dei decrementi di prezzo avvenuti negli ultimi n giorni. L'Indice di Forza Relativa si ottiene quindi normalizzando il risultato in modo che il campo di variazione sia compreso tra 0 e 100. Potete personalizzare questo indicatore sia specificando il periodo di calcolo (nella finestra di personalizzazione indicatori - opzioni - configura indicatori) che indicando i valori di ipercomprato e ipervenduto (nella finestra configurazione grafici - puls. dx del mouse sul grafico) Generalmente sono utilizzati i valori di 70 e 30 per indicare rispettivamente i livelli di ipercomprato e ipervenduto. Anche l'analisi delle divergenze tra indicatore e curva dei prezzi sembra fornire indicazioni attendibili. Una divergenza positiva (cioè al rialzo) si ha quando il prezzo continua a scendere mentre l'RSI smette di segnare nuovi minimi. Una divergenza negativa accade invece quando il prezzo continua a salire mentre l'indicatore non fa segnare nuovi massimi. L'unico parametro presente indica gli n giorni.

Argomenti correlati:

Configurazione Indicatori

Impostazione grafici


Liste titoli

Liste titoli

Poter consultare i grafici dei soli titoli che interessano, senza perdere tempo a cercarli, raggruppando i titoli secondo criteri particolari, ad esempio quelli del vostro portafoglio, distinti da quelli che invece state solo seguendo, o gli indici o altro ancora. Se tutti questi dati si trovano all'interno di un unico database, potete creare gruppi di titoli con la funzione Lista che può essere aperta da menù File - Gestione Lista, o con il tasto funzione F8, o ancora, con il pulsante [image] che appare barrato da una X rossa se non avete liste attive e state lavorando direttamente sul database, senza filtri.
Il pulsante appare così, [image] se avete in carico tutti i titoli del database, con il numero della lista caricata [image] se state utilizzando una delle tre liste che potete gestire voi, o così [image] se la lista è stata creata da Wizard Screening.

Utilizzare una lista significa quindi limitare la scelta ai soli titoli presenti in quella lista. Tutti gli altri rimangono invisibili, finchè non si chiude la lista.

Le liste vanno create, caricandovi i titoli e poi utilizzate.

La finestra "Elaborazione lista titoli" si apre con il pulsante F8, o cliccando sull'icona "Carica lista titoli" presente sulla Toolbar Comandi" o ancora da menù "File" - "Gestione Lista"

Per caricare un titolo in una lista è necessario evidenziarlo sulla finestra di sinistra, quella che contiene tutti i titoli del database e cliccare sul tasto " > " adiacente alla lista in cui si vuole inserirlo.
Per scaricare un titolo da una lista è necessario evidenziarlo sulla finestra di destra, quella contenente i titoli della lista che si vedono dopo aver cliccato su "Carica Lista1, 2 o 3" e cliccare sul tasto " < " adiacente alla lista in cui si vuole inserirlo.
Il tasto " >> " permette di caricare tutti i titoli del database in una lista, mentre il tasto " << " cancella tutta la lista, sempre quella adiacente ai pulsanti.

Una volta caricati i titoli le liste vengono automaticamente salvate nel database sottostante e sono così disponibili per le sessioni successive.

Finestra di elaborazione lista titoli

Per l'utilizzare una lista bisogna aprire questa finestra, far leggere a RealCharts la lista con il pulsante "carica lista" posto sotto la stessa e cliccare infine sul pulsantino OK per caricarla. Per scaricare la lista cliccare sul pulsante rosso "Esci da lista", oppure su [image] presente in Toolbar comandi.

I titoli presenti in una lista sono in ordine alfabetico, mentre se non avete alcuna lista caricata e fate scorrere i grafici, essi appariranno nello stesso ordine in cui sono registati nel database, quasi mai alfabetico. E' possibile usare la funzione "Carica Tutto" presente nella finestra "Elaborazione lista titoli" proprio per ordinare alfabeticamente tutti titoli del database.

Le liste sono cinque: tre quelle che potete creare e gestire voi, una che carica tutti i titoli del database e un'altra creata da RealCharts con i titoli scelti dallo screening. Le ultime due sono liste temporanee e si perdono con la chiusura del programma, mentre le vostre tre vengono registrate nel database e sono quindi permanenti.
Un grosso vantaggio offerto dalla registrazione delle liste sul database è che se utilizzate più di un database, ad esempio per coprire mercati diversi, avrete a disposizione tre liste per ogni database.

Argomenti correlati:

Wizard Screening


Moduli

Moduli

Si tratta di funzioni progettate direttamente da Renato Di Lorenzo ed il suo staff esclusivo . Questi nuovi moduli trattano argomenti disparati: nuovi strumenti, nuove tecniche di trading, nuove interpretazioni dei mercati etc., ed è possibile vederli concretamente realizzati sui titoli che state seguendo con RealCharts. L'uso è estremamente semplice. E' sufficiente, una volta aperto il titolo, chiamare il modulo desiderato dall'omonima tendina a menù e RealCharts fa tutto il resto: calcoli, grafici, tabelle etc, a seconda dei moduli.

Moduli disponibili:

1. Overnight Trading
In contrapposizione all’intraday trading, tecnica che chiude tutte le posizioni a fine giornata, l’overnight trading le tiene aperte appositamente di notte, e lo fa perché, contrariamente a quel che si pensa, quasi sempre è molto più conveniente...
RealCharts, in questo modulo, calcola se per il titolo aperto è più conveniente lavorare intraday oppure overnight e vi dice anche quanto si guadagna mediamente lavorando in un modo o nell'altro.

2. Domani Aprirà al Rialzo? (Overnight Trading - 2)
Questo modulo calcola la convenienza ad operare con l’overnight trading o, più in generale con il trading veloce ed aiuta coloro che ricadono nella vasta categoria degli scalper: esiste qualche segnale premonitore oggi del fatto che domani l’apertura sarà più alta o più bassa della chiusura di oggi? La risposta - pur con qualche distinguo - è sì.
RealCharts sul titolo aperto cerca tra tutte le relazioni di prezzo possibili quella che fornisce le indicazioni più convenienti e calcola l'affidabilità del risultato.

3. Sfruttare i cicli.
Una analisi dei cicli di nuova concezione per riuscire a sfruttare i movimenti di breve periodo, che è il sogno di tutti i trader. Poter prevedere, con ragionevole precisione, quando invertirà il movimento in atto, consente di fare anche proiezioni sul target. Con questo modulo Renato Di Lorenzo presenta una tecnica nuova per determinare la durata dei cicli. Un'analisi statistica che aiuta a determinare in anticipo il periodo preciso all'interno del quale dobbiamo aspettarci le inversioni, con esposizione anche grafica, oltre che tabellare, del risultato.


Nota

Nota:

Questo software e i testi, anche se curati con scrupolosa attenzione, non possono comportare specifiche responsabilità per involontari errori, inesattezze o uso scorretto del programma stesso.

Inoltre i mercati possono salire come scendere e non esistono metodi che ne prevedano l'andamento con certezza.

Gli autori di questo software non possono assumersi responsabilità per perdite conseguenti alle operazioni eseguite sui mercati in relazione all'utilizzo del programma e dei testi.

Infine si ricorda che i risultati conseguiti dal software sui dati passati non forniscono alcun tipo di garanzia per i risultati futuri.


Presentazione

Presentazione

Esempio di finestra di lavoro di RealCharts

RealCharts, è un nuovo programma di analisi tecnica, quello che non c'era. In che cosa si differenzia da tutti gli altri software dello stesso tipo? Nel fatto che abbiamo tolto tutto ciò che a nostra esperienza non funziona ed abbiamo aggiunto ciò che realmente serve ai traders, ad esempio la possibilità di fare screening, che forse è la più importante delle funzionalità perché consente di isolare i titoli che secondo i nostri trading systems sono in quel momento in posizione buy o sell (ricordate: "timing is all"). Conseguenza di questa cura dimagrante è non solo una maggiore agilità e funzionalità, ma anche un prezzo che è circa la metà di quello che sarebbe stato appesantendolo di tutto ciò che non serve a nulla. Ma RealCharts è qualcosa di più: non solo ha tolto dai software convenzionali ciò che normalmente serve a poco, ma è un work-in-progress, nel senso che si arricchirà via via di nuove funzioni che gli altri software non potranno avere, perché tali funzioni saranno progettate direttamente da Renato Di Lorenzo e dal suo staff esclusivo. Gli acquirenti di RealCharts avranno diritto a ricevere gli aggiornamenti via e_mail a prezzi minimi, per essere sempre davvero la leading edge - la punta di diamante - nella quotidiana lotta corpo a corpo con i mercati finanziari.
RealCharts fornisce figure grafiche chiare, immediatamente leggibili. Oltre ad essere completo dei più diffusi oscillatori utilizzati in analisi tecnica, propone indicatori di nuova concezione, come la media Kaf e la media mobile centrata. Utilizza serie storiche scritte in database formato Access, che è lo stesso di Rocco e Andromeda. Viene così semplificato il lavoro di manutenzione, dato che si possono utilizzare programmi con funzioni diverse, eseguendo un solo aggiornamento dati.
Non solo charting. Questa versione di RealCharts è stata arricchita con funzioni avanzate tipiche dei trading systems come, ad esempio, lo stop automatico, che è un trailing stop, ossia un indicatore che segue il trend e ne indica il suo punto critico, o la funzione Wizard screening che permette la costruzione e l'applicazione di filtri per l'estrazione di titoli che si trovano in particolari condizioni. Tali titoli vengono quindi inseriti in una lista autonoma e possono essere visualizzati uno dopo l'altro in modo sequenziale, senza bisogno di andarli a cercare nel database.
E poi c'è il "simulatore", derivata dall'ormai noto Sex-Sim, che usa storie vere, quelle dei titoli presenti nel vostro database e si permette, alla fine di ogni simulazione, di darvi qualche consiglio in base all'esito della prova.
RealCharts lavora con 4 dati giornalieri, apertura, massimo, minimo e chiusura e può disegnare grafici su scala lineare, logaritmica e percentuale, nei tre classici formati: zig-zag, istogramma e candela giapponese. Ora, con i nuovi campionamenti settimanale e mensile (in aggiunta al giornaliero), potete visualizzare, a scelta, una sola candela per settimana, mese o giorno. Sui vostri grafici potete poi aggiungere volumi, indicatori, oscillatori e note descrittive, rette di supporto e resistenza ed infine salvare la vostra analisi.
RealCharts dispone di una particolare funzione che vi permette di passare da un grafico all'altro con un semplice click del mouse. Potrete vedere in sequenza tutti i titoli del database, o solo quelli che vi interessano scelti da Wizard Screening o da voi ed inseriti in una delle liste disponibili.
Grazie al modulo AspToDba (fornito in dotazione), che utilizza i flussi dati scaricati da Internet, le operazioni di aggiornamento sono semplici e rapide. Viene consegnata una matrice di database, "Master.mdb", che serve per creare archivi diversi per ogni mercato. RealCharts potrà così essere usato su un panorama vastissimo di titoli di quasi tutte le borse del mondo.
Per approfondire lo studio degli strumenti proposti in questo software e, più in generale, dell'analisi tecnica, consigliamo la lettura di "Guadagnare in Borsa con l'analisi tecnica" di Renato Di Lorenzo, opera in tre volumi, edita dal Sole 24 Ore.

Argomenti correlati:

Principali caratteristiche di RealCharts


Principali caratteristiche di RealCharts

Principali caratteristiche di RealCharts:

  1. Utilizzo del database standard;
  2. Grafici in scala lineare, logaritmica e percentuale.
  3. Grafici con campionamento giornaliero, settimanale e mensile;
  4. Ampia gamma di indicatori e oscillatori;
  5. Salvataggio delle analisi grafiche e dei commenti in formato testo;
  6. Sovrapposizione e confronto percentuale fra due titoli;
  7. Tre diverse liste di titoli per ogni database;
  8. Screen temporizzato dei grafici;
  9. Scelta immediata periodo del grafico con un solo pulsante;
  10. Finestra di impostazione grafici per l'inserimento di parametri comuni a tutti i titoli
  11. Gestione profilo personale di visualizzazione dei grafici.
  12. WS: Elaborazioni ed estrazioni di titoli con l'utilizzo di filtri personalizzabili
  13. Stop automatico su parametri preimpostati o personalizzabili.
  14. Supporti e resistenze di Fibonacci, sui prezzi e sull'asse temporale,con proiezione sulle date future.
  15. Ventaglio di Gann
  16. Funzione Indesiderati, che esclude la possibilità di aprire titoli non aggiornati.
  17. Funzione Adatta Trend, che allunga le rette a destra fino all'ultimo giorno di dati;
  18. Visualizzazione dati e valori puntuali delle medie mobili;
  19. Possibilità di inserire manualmente dati.
  20. Modulo 1: "Overnight trading 1"
  21. Modulo 2: "Domani aprirà al rialzo?"
  22. Modulo 3: "Sfruttiamo i Cicli"
  23. Rettifica dati;
  24. Layout grafico personalizzabile;
  25. RealSimulator anche su dati veri, con rendiconto e giudizio;


RealSimulator

RealSimulator

Derivato dall'ormai noto SEX_SIM, è un simulatore di trading. Consente di "allenarsi", senza conseguenze economiche negative a fare trading. Potete provare a lavorare sul vostro sentiment, su supporti e resistenze da voi disegnati, oppure sugli indicatori impostati nella finestra di impostazione grafici (richiamabile con un click del pulsante destro del mouse sull'area del grafico). In ogni caso è avvincente simulare acquisti e vendite di un titolo vero, dal nome mascherato (Gimmy), scelto fra tutti quelli presenti nel database. In pochi minuti potrete simulare anche un anno di trading, su dati veri. Così, un po' alla volta, applicando le nozioni imparate sui libri, ed esercitandovi con RealCharts, saprete interpretare in modo quasi intuitivo i messaggi di un grafico facendo vostre le regole che sono alla base dell'analisi tecnica. Potrete provare, in modo particolare, ad applicare lo stop loss, cosa che spesso, con soldi veri, si rivela più facile a dirsi che a farsi, soprattutto se non si è abbastanza "allenati".

Esempio di finestra di lavoro RealSimulator

Come vedete il layout della finestra, il formato del grafico e gli indicatori disponibili, sono gli stessi di RealCharts.
Il pulsante Inizio (rosso) va cliccato DOPO aver scelto i parametri:

  • No Scoperto: se attivo non vi permetterà di andare short, ossia di vendere titoli che non possedete.

  • Scorrimento: se attivo, ad ogni nuovo dato che si aggiunge a destra, elimina il primo a sinistra. Diversamente lo mantiene.

  • Fido: se attivo vi consente di spendere più del capitale disponibile.

  • Capitale: indicate il capitale massimo disponibile per l'investimento, espresso nella stessa divisa dei titoli del database sottostante;

  • Commissioni: Indicate la commissione percentuale trattenuta dalla Banca negoziatrice su ogni operazione. Separatore decimale è il punto, per cui una commissione dello 0,2% si scrive 0.20 (zero punto venti).

Nel campo quantità indicate quante azioni volete negoziare.
Con i pulsanti in alto a sinistra:

  • Acquista: decidete di comprare al prezzo di oggi il numero di azioni indicato nel campo quantità. RealCharts posiziona un pallino rosso sotto il grafico in corrispondenza del giorno in cui avete acquistato.

  • Vendi: vendete, con gli stessi criteri sopra descritti, salvo il pallino che è blu e viene posto sopra il grafico.

  • Passa: per oggi non fate nulla. Al grafico si aggiunge una giornata di dati. Prima di cliccare nuovamente su passa è consigliabile aspettare che il PC abbia elaborato la richiesta precedente.

  • Risultato: mostra il rendiconto con il risultato raggiunto. Chiuderlo per proseguire.

I rendimenti, assoluto e percentuale, vengono calcolati sul capitale massimo disponibile, per cui è opportuno, per ottenere buoni risultati, impiegare il massimo possibile del capitale, o, se preferite, regolare il capitale iniziale in funzione di quello che volete fare. Se, ad esempio, ottenete risultati eccellenti (+75%), ma avete investito solo il 10% del capitale, il vostro risultato finale sarà appena del +7,5%. Viceversa un +20% sul 90% del capitale fa + 18% finale.

Per chiudere definitivamente la funzione simulatore, da menù finestra, cliccare nuovamente su Toolbar Sex_Sim. Ora RealCharts vi svela il nome titolo sul quale avete lavorato, vi dice la performance e si permette anche di darvi qualche consiglio. Cliccate sul pulsante di chiusura della simulazione


Rettifica Dati

Rettifica Dati.

Da Menù File - Rettifica Valori - si accede alla finestra che consente di correggere i prezzi di un titolo fino ad una certa data in conseguenza di assegnazioni gratuite (split), aumenti di capitale, raggruppamenti ecc. Il grafico che ne deriva è così "coerente" con i veri movimenti di borsa del titolo e non con i meri prezzi espressi dal mercato.

Finestra di rettifica e cancellazione dati

Sulla finestra "Rettifica", si può scegliere:

  • il titolo da rettificare; digitando le prime lettere, o tutto il nome del titolo che vi interessa, nel campo "Nome del Titolo" e aprendo la tendina con il mouse, oppure schiacciando il tasto freccia in giù sulla tastiera del PC, RealCharts si posiziona direttamente sul titolo scelto e si appropria del titolo e dei relativi dati presenti nel database. Quando nel campo appare il nome del titolo scelto, tutto è pronto.

  • l’intervallo di dati su cui interviene la rettifica, con espressione delle due date, iniziale e finale. Tali date sono entrambe comprese.

  • il fattore di rettifica (che usa il punto quale separatore decimale) è il valore per il quale, nel periodo selezionato, vengono moltiplicati tutti i prezzi e divisi i volumi.

  • Al termine della rettifica RealCharts ne salva le impostazioni nel database e le richiama in questa finestra, per possibili consultazioni. (Ultimo fattore AIAF e date di applicazione)

Ad esempio Fiat.mi valeva, prima del raggruppamento del 20 agosto 99, circa 3,2 €. Il lunedì successivo Fiat valeva 32 €, cioè 10 volte più del giorno prima, ma in realtà nulla era cambiato nel valore "vero" del titolo: solo furono sostituite 10 vecchie azioni con una sola di nuova. In questo caso il fattore di rettifica era 10, dalla data iniziale, fino al 20/08/99.
Al termine appare la nota "Rettifica effettuata" e vengono puliti i campi impostati per la rettifica, per evitare che, per errore, si intervenga con una doppia rettifica dei dati.
Infine se volete pulire il vostro database dai dati troppo vecchi e per voi non più significativi, potete usare il tasto cancella dati.
Cancellando TUTTI i dati si elimina anche il nome del titolo dal database.

N.B.: è opportuno, prima di intervenire con rettifiche o cancellazione dati, fare sempre una copia del database originale, e conservarla per ripristinare dati involontariamente danneggiati da manovre errate.

I fattori di rettifica sono disponibili su Internet al sito: http://www.aiaf.it/.

Argomenti correlati

Il Database

Accesso al database


Toolbar

Toolbar

NB: cliccando su qualsiasi pulsante presente nelle Toolbar si attiva il relativo comando. Con doppio click su qualsiasi area del grafico, lo stesso comando si disattiva.

RealCharts dispone di tre toolbar contenenti i comandi d'uso più frequente e sono:

Toolbar Trend

Toolbar Trend: questa barra raccoglie i comandi per l'apertura di un titolo, per l'impostazione del grafico (lineare o logaritmico), per tracciare rette di supporto e resistenza, sceglierne il colore ( [image]) fra i dodici disponibili e lo spessore ( [image]) fra i 5 disponibili, per scegliere il formato grafico ( [image]) lineare, a barre o candele giapponesi, per tracciare supporti e resistenze di Fibonacci, il ventaglio di Gann, per aprire contemporaneamente un altro grafico da sovrapporre e confrontare al primo. Per ulteriori informazioni vedere anche Strumenti e Studi.
Una volta selezionato il comando da Menù strumenti o da toolbar trend, per tracciare una retta sul grafico, portate il mouse sul punto iniziale e trascinatelo con il pulsante sinistro premuto. Al rilascio, la retta si fissa. I comandi diretti presenti su questa Toolbar permettono di aggiungere rette diagonali o orizzontali, di spostarle, modificarne la pendenza (non per quelle orizzontali), cancellarle, aggiungerne di parallele per creare i canali di trend e di prolungarle a destra o sinistra. I pulsanti che impostano il comando vanno cliccati PRIMA dell'operazione.

Toolbar comandi

Toolbar Comandi: contiene i seguenti comandi rapidi, (nell'ordine da sinistra):

  • cambiare il database;
  • aprire un grafico precedentemente salvato;
  • salvare un grafico;
  • stampare il grafico aperto;
  • creare un file immagine BMP contenente ciò che è visualizzato sullo schermo
  • aprire la finestra per la gestione dei dati per consultare i dati del titolo aperto, aggiungerne o toglierne (agisce sempre sull'ultima riga), oppure copiarli negli appunti di Windows e renderli disponibili per altre applicazioni.
  • caricare il proprio profilo preferito per la visualizzazione dei grafici. Il profilo può essere creato dalla finestra "Impostazione grafici"
  • gestione liste;
  • uscire dalle liste;
  • leggere automaticamente, o meno, il grafico precedentemente salvato all'apertura di un titolo;
  • pausa, secondi di stop, play. (ulteriori informazioni su Screen grafici)
  • i due comandi per passare con un click al grafico precedente o successivo della lista o del database, (equivalenti ai tasti "-" e "+" della tastiera)
  • sulla destra i comandi rapidi per impostare il numero di dati, espresso in mesi o anni, che si vuole prendere in considerazione. Il pulsante attivo si colora di rosso
  • visualizzare il grafico con campionamento giornaliero (Daily = D), oppure settimanale (Weekly = W), o mensile (Monthly = M)
  • l'ultimo pulsante a destra chiude il grafico (non il programma) lasciando la finestra vuota.

Toolbar prezzi

Toolbar Prezzi: mostra tutti i valori del titolo aperto, oltre ai relativi indicatori, se ne avete, nel giorno sfiorato dal puntatore del mouse, oltre al valore esatto in cui si trova il puntatore stesso.

Il puntatore "Cross Hair" può aiutare a definire con maggiore precisione il punto sul grafico cui fanno riferimento i valori esposti "At cursor" nella ToolBar prezzi, oppure ad analizzare con precisione la corrispondenza tra indicatori e titolo alla ricerca, per esempio, di possibili divergenze.

La Toolbar base, qui sotto, è visibile in modo permanente alla base dello schermo ed evidenzia, da sinistra:

Toolbar base

  1. Se ci sono note registrate per il titolo (libro aperto) o se non ve ne sono (libro chiuso). Per aprire la finestra e leggere o scrivere le note, cliccate sul libro. Per cancellare le note cliccate con il pulsante destro del mouse sul libro aperto.

  2. Le stesse informazioni della Toolbar Prezzi, ad esclusione del valore degli indicatori: Data, apertura, massimo, minimo, chiusura, valore al punto in cui si trova il puntatore del mouse;

  3. Indirizzo del database che si sta utilizzando

  4. L'icona [image] indica che, per il titolo aperto, esiste un grafico precedentemente salvato. Cliccando sul cestino accanto, si cancella il collegamento a tale grafico.


Screen Grafici

Applicazione Filtri. (Wizard Screening)

RealCharts consente di applicare filtri personalizzati al database, effettuando, in sostanza, una scrematura dei titoli. Se volete, ad esempio vedere quelli che hanno RSI < 30 (ipervenduto), sarà possibile impostare una formula con Wizard Screening - Menù Studi - Wizard Screening - o F12 - ed il programma isolerà i soli titoli in quella condizione. Con il tasto [image] questi titoli vengono messi in una lista che consente la loro visualizzazione in sequenza, esattamente come per le altre liste; il pulsante "Lista", in questo caso, assume il seguente aspetto: . Per uscire da questa lista, come per le altre, cliccate su [image], oppure caricate una delle altre liste.

Per Wizard Screening abbiamo previsto una particolare funzione Lista, che vi consente di applicare i vostri filtri solamente ad una parte del database, escludendo dall'elaborazione quei titoli che ritenete, a priori, poco interessanti. (Ad esempio diritti, titoli risparmio, titoli poco liquidi ecc.) E' una scrematura di titoli a monte dello screening. Il modulo funziona esattamente come quello già visto, con la possibilità di creare altri tre gruppi di titoli per ogni database, finalizzati esclusivamente all'applicazione dei filtri con Wizard Screening. L'unica differenza è che non esiste "carica tutto". Per elaborare tutti i titoli del database è sufficiente non utilizzare la lista.

Impostate le vostre formule, le potete salvare, con il pulsante Salva per riutilizzarle in seguito. Il pulsante Carica mette in linea formule precedentemente salvate. Cancella elimina una riga di formula per volta, partendo sempre dall'ultima, mentre Reset elimina tutta la formula. Questi ultimi comandi NON modificano le formule salvate, ma solo quelle in fase di creazione.

Cliccando su Calcola, inizia l'elaborazione e, nella finestra "Titoli conformi ai parametri" in alto a destra, si vedono i risultati, che possono essere copiati negli appunti di Windows, per essere utilizzati con altre applicazioni, oppure stampati.

Finestra Wizard Screening per la definizione dei filtri

Nella prima colonna a sinistra sono presenti gli indicatori disponibili. Doppio click su uno, oppure un click sul pulsante [image], dopo averne selezionato uno per scegliere l'indicatore, quindi si impostano i parametri dell'indicatore stesso, come vedremo negli esempi più avanti.
Il primo in alto dei cinque campi disponibili per i parametri (sotto "Indicatore selezionato") definisce il periodo in giorni sui quali viene calcolato l'indicatore a partire dalla data definita in Giorni.
Esempio: vogliamo l' RSI a 14 giorni, calcolato a due giorni fa, inseriremo "-2" su giorni e "14" sul primo parametro; se invece lo vogliamo puntuale fino ad oggi: Giorni "0" e primo parametro "14". Se vogliamo stocastico 15-5-5 puntuale: Giorni "0"; primo parametro "15"; secondo parametro "5"; terzo parametro "5".
Nota: I campi non utili alla formulazione dell'indicatore vanno lasciati vuoti. Nel caso dell'RSI, dove si usa solo il primo, sono gli ultimi quattro, nello stocastico, dove se ne usano tre, gli ultimi due ecc.
L'inserimento del parametro nella formula avviene cliccando due volte su una funzione >, <, =, +, -, *, /, AND, OR, FINE.

E' possibile misurare tutti gli indicatori descritti.

I due campi posti sotto "Giorni" definiscono:

  1. Il tipo prezzo da utilizzare per il calcolo dell'indicatore (Apertura, Max, min, Chiusura)

  2. La data di riferimento. Zero corrisponde ad oggi, -1 a ieri ecc. (Oggi sta per l'ultimo dato disponibile).

Nota: La data di riferimento, di cui al punto 2 assume significato diverso e non indica la data cui fa riferimento l'indicatore, ma un periodo di N giorni, relativamente ai seguenti indicatori:

  • Max da: individua il prezzo massimo (che può essere riferito a C, Max, min, A), su un periodo di N giorni, che inizia X giorni prima di oggi. Esempio: cerchiamo il massimo degli ultimi 100 giorni, escludendo i 5 dati più recenti: Giorni = -99; primo parametro = 4. Non -100 e 5 perchè si parte sempre da zero, che corrisponde ad oggi, compreso). Vedi esempio 3.

  • Max prezzo: individua il prezzo massimo, (che può essere riferito a C, Max, min, A) di un periodo di N giorni, definito nella finestra "Giorni" (ad esempio -14), a partire dall'ultimo dato disponibile.

  • Min da: usa la stessa formula di Max da, invertita, per individuare il prezzo minimo

  • Min prezzo: usa la stessa formula di Max prezzo invertita, per individuare il prezzo minimo.

  • Prezzo Apertura, Chiusura, Massimo, Minimo: seleziona il tipo di prezzo (A, C, Max, min) scelto, con riferimento alla data definita nel campo "Giorni".

Le formule possono essere anche complesse e permettono di isolare titoli misurandone gli indicatori disponibili, o raffrontando indicatori tra loro. Il criterio di priorità nelle formule è il seguente:

  1. AND OR FINE

  2. < > =

  3. * /

  4. + -

E' possibile, ad esempio, comporre una formula su più righe, al termine delle quali ci sia +, - , * , / , scrivendo poi una riga che finisce con >, <, =. Il parametro di raffronto NON si limita, in questo caso, a misurare ciò che viene specificato nell'ultima riga, quella che lo contiene, ma misura il risultato di tutta la prima parte della formula, con quello che si va a scrivere nella seconda parte. Tutte le formule devono terminare con FINE.

A titolo di esemplificazione illustriamo alcune formule:

Esempio 1: cerchiamo i titoli con RSI a 14 giorni inferiore a 20.

In questo esempio la sequenza impostata è stata la seguente:

  1. Impostiamo N. dati da elaborare in modo che sia superiore a 14. In questo caso abbiamo lasciato 100.

  2. RSI - doppio click - in modo che RSI compaia scritto sotto "indicatore selezionato";

  3. Giorni : 0 - valore dell'RSI sull'ultimo dato disponibile

  4. Primo parametro 14 - vogliamo l'RSI calcolato su 14 giorni

  5. Doppio click su < (minore) - a questo punto la prima riga della formula appare sullo schermo -

  6. VALORE - doppio click - (in modo VALORE che compaia scritto sotto "indicatore selezionato";

  7. Primo parametro 20

  8. FINE - a questo punto la seconda riga della formula appare sullo schermo -

  9. facoltativo: SALVA

  10. CALCOLA

  11. Visualizza Grafici.

Esempio 2: cerchiamo i titoli che hanno l'ultima chiusura al livello più alto degli ultimi 15 giorni.

In questo esempio la sequenza impostata è stata la seguente:

  1. Impostiamo N. dati da elaborare in modo che sia superiore a 14. In questo caso abbiamo lasciato 100.

  2. PREZZO CHIUSURA - doppio click - (in modo che compaia scritto sotto "indicatore selezionato";

  3. Giorni : 0 (prezzo di chiusura puntuale sull'ultimo dato disponibile)

  4. Doppio click su > (maggiore) - a questo punto la prima riga della formula appare sullo schermo -

  5. MAX PREZZO - doppio click - (in modo che compaia scritto sotto "indicatore selezionato");

  6. Giorni : -14

  7. FINE - a questo punto la seconda riga della formula appare sullo schermo -

  8. Calcola ecc.

Nota: abbiamo inserito - 14 su giorni Max prezzo e non -15 come poteva sembrare, perchè così vengono analizzati effettivamente 15 giorni, a partire dal giorno 0 fino al giorno -14 compresi.

Esempio 3: cerchiamo i titoli il cui prezzo massimo dell'ultima settimana è inferiore al minimo fatto nei 100 giorni precedenti e con RSI a 14 giorni inferiore a 50.

In questo esempio la sequenza impostata è stata la seguente:

  1. Impostiamo N. dati da elaborare in modo che sia superiore a 105. In questo caso abbiamo scritto 150.

  2. MAX PREZZO - doppio click - in modo che compaia scritto sotto "indicatore selezionato";

  3. Giorni : - 4 (in una settimana ci sono 5 giorni di borsa aperta, quindi dal giorno 0 al giorno -4)

  4. Doppio click su < (minore) - a questo punto la prima riga della formula appare sullo schermo -

  5. MIN DA - doppio click - (in modo che compaia scritto sotto "indicatore selezionato";

  6. Giorni : -99 (analizzerà così 100 giorni)

  7. Primo parametro: 5 (a partire dal quinto giorno escludendo così l'ultima settimana) valore sempre positivo

  8. AND - (tutte le condizioni devono essere rispettate, al contrario di OR) a questo punto la seconda riga della formula appare sullo schermo

  9. RSI - doppio click -

  10. Giorni : 0

  11. Primo parametro: 14

  12. Doppio click su < (minore) - a questo punto la terza riga della formula appare sullo schermo -

  13. VALORE - doppio click - in modo VALORE che compaia scritto sotto "indicatore selezionato";

  14. Primo parametro 50

  15. FINE - a questo punto la quarta riga della formula appare sullo schermo -

  16. Calcola, o salva ecc.

Nota: in questo caso dovrete impostare il campo "N. dati da elaborare" almeno a 105 (ultima settimana + 100 giorni), ma per evitare di far tanti calcoli, lo abbiamo impostato a 150, dato che sicuramente copre le esigenze di questo esempio.

Come avete visto Wizard Screening permette la massima personalizzazione dei filtri. Lo scopo è quello di raffrontare indicatori con valori assoluti, o indicatori con altri indicatori, o di costruire formulazioni complesse che fanno entrambe le cose. L'importante è seguire una sequenza logica. Diversamente il programma non estrarrà alcun titolo limitandosi a scorrere il database alla ricerca di un risultato impossibile.

Attenzione: ad impostare, nella casella "N° dati da elaborare" un valore che consenta l'elaborazione della formula richiesta. Ad esempio non potete cercare i titoli che fanno il minimo da 100 giorni se elaborate, ad esempio solo 80 dati. RealCharts non estrarrà nulla ed evidenzierà nella finestra a sfondo giallo, in basso "Mancanza dati titolo ...." per tutti i titoli.

Argomenti correlati:

Liste Titoli